 /*
  * Khoros: $Id: kgendepend.c,v 1.11 1996/07/05 01:32:22 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: kgendepend.c,v 1.11 1996/07/05 01:32:22 mirage Exp $";
#endif

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>> 	Main program for kgendepend
   >>>> 
   >>>>  Private: 
   >>>> 	main
   >>>> 
   >>>>   Static: 
   >>>>   Public: 
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#include "kgendepend.h"

/*-----------------------------------------------------------
|
|  Routine Name: main() - Update Makefile for dependencies on *.h files.
|
|       Purpose: main program for kgendepend
|
|         Input:
|        Output:
|       Returns:
|
|    Written By: 
|          Date: Jul 04, 1996
| Modifications:
|
------------------------------------------------------------*/

void main(
   int  argc,
   char **argv)
{

	kform  *pane;         /* form tree representing *.pane file */
/* -main_variable_list */
/* -main_variable_list_end */

	khoros_initialize(argc, argv, "BOOTSTRAP");
/* -main_get_args_call */
        pane = kgen_initialize(PANEPATH, KGEN_KROUTINE, "BOOTSTRAP", "kgendepend",
                kgendepend_usage_additions);

        kgendepend_get_args(pane);
        kvf_destroy_form(pane);
/* -main_get_args_call_end */

/* -main_before_lib_call */
/* -main_before_lib_call_end */

/* -main_library_call */
	process_depend(argc, argv);
/* -main_library_call_end */

/* -main_after_lib_call */
/* -main_after_lib_call_end */


	kexit(KEXIT_SUCCESS);
}


/*-----------------------------------------------------------
| 
|  Routine Name: kgendepend_usage_additions
| 
|       Purpose: Prints usage additions in kgendepend_usage routine
| 
|         Input: None
| 
|        Output: None
|    Written By: ghostwriter -oname kgendepend
|          Date: Jul 04, 1996
| Modifications: 
| 
------------------------------------------------------------*/
void kgendepend_usage_additions(void)
{
	kfprintf(kstderr, "\tUpdate Makefile for dependencies on *.h files.\n");

/* -usage_additions */
/* -usage_additions_end */

}
/*-----------------------------------------------------------
| 
|  Routine Name: kgendepend_free_args
| 
|       Purpose: Frees CLUI struct allocated in kgendepend_get_args()
| 
|         Input: None
| 
|        Output: None
|    Written By: ghostwriter -oname kgendepend
|          Date: Jul 04, 1996
| Modifications: 
| 
------------------------------------------------------------*/
/* ARGSUSED */
void
kgendepend_free_args(
    kexit_status status,
    kaddr        client_data)
{
/* -free_handler_additions */
/* -free_handler_additions_end */
}
