/*
  * Khoros: $Id: cpp.h,v 1.5 1996/04/04 22:41:36 fas Exp $
  */
 
 
 
/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: machine dependancies for cpp
   >>>>
   >>>>    Written By:
   >>>>          Date:
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */
 
#ifndef _cpp_h_
#define _cpp_h_

/*
 * USE_CC_E, DEFAULT_CC, DEFAULT_CPP
 *     If you want to use cc -E instead of cpp, define USE_CC_E.
 *     If use cc -E but want a different compiler, define DEFAULT_CC.
 *     If the cpp you need is not in /lib/cpp, define DEFAULT_CPP.
 */
#ifdef  KOPSYS_AIX
#define DEFAULT_CPP "/usr/lpp/X11/Xamples/util/cpp/cpp"
#endif
#ifdef KOPSYS_SOLARIS
#define DEFAULT_CPP "/usr/ccs/lib/cpp"
#endif
#ifdef KOPSYS_BSDI
#define DEFAULT_CPP "/usr/bin/cpp"
#endif
#ifdef KOPSYS_UNICOS
#define DEFAULT_CPP "/lib/pcpp"
#endif
#if defined(KOPSYS_386BSD) || defined(KOPSYS_FREEBSD) || defined(KOPSYS_NETBSD)
#define DEFAULT_CPP "/usr/libexec/cpp"
#endif

/*-- if its not defined yet, then make it /lib/cpp --*/
#if !defined(DEFAULT_CPP)
#define DEFAULT_CPP "/lib/cpp"
#endif

#endif /* _kimake_h_ */
/* Don't add after this point */
