eval 'exec perl -S $0 $*'
	if $runnning_under_some_shell;
#========================================================================#
#========================== BOILER PLATE CODE ===========================#
#========================================================================#

TBLOOP: foreach $tbfile (split(/:/, $ENV{'KHOROS_TOOLBOX'})) {
   open(TBFILE, "< $tbfile") || die "Can't read toolbox file $tbfile: $!\n";
   while (<TBFILE>) {
      push(@INC, "$1/repos/perl") if /^BOOTSTRAP:([^;:\n]+)/;
   }
   close TBFILE;
}

require 'tools-test.pl';

#========================================================================#
#======================= END OF BOILER PLATE CODE =======================#
#========================================================================#

$WORKDIR = &ktest_initialize('16.kcms-08');

$status = 0;

#-- source toolbox --------------------------------------------------
$sourceTB = &ktest_new_tbname();
print STDERR "New Toolbox Name: $sourceTB\n";
system("kgentb -tb $sourceTB -path $WORKDIR/$sourceTB");
if ($? != 0)
{
   $status = 1;
   print STDERR "Failed to create toolbox $sourceTB\n";
}

if ($status == 0)
{
   #-- create a KROUTINE object in the source toolbox ------------------
   $sourceObject = 'testperl';
   system("kgenobj -tb $sourceTB -type script -oname $sourceObject -lang perl");
   if ($? != 0)
   {
      $status = 1;
      print STDERR "Failed to create object $sourceObject in toolbox $sourceTB\n";
   }
}

#-- destination toolbox ---------------------------------------------
if ($status == 0)
{
   $destTB = &ktest_new_tbname();
   print STDERR "New Toolbox Name: $destTB\n";
   system("kgentb -tb $destTB -path $WORKDIR/$destTB");
   if ($? != 0)
   {
      $status = 1;
      print STDERR "Failed to create destination toolbox $destTB\n";
   }
}

if ($status == 0)
{
   system("./ktest 8 $sourceTB $sourceObject $destTB");
   $status = 1 if $? != 0;
}


&ktest_end($WORKDIR);

exit $status;
