/*
== Toolbox:	$BOOTSTRAP
== Object:	kcms
== Testsuite:	37.kcms
== Testing:	kstring *kcms_get_date(void)
== Description:	Returns a string for the current date and time
*/

#include <bootstrap.h>

main(
   int    argc,
   char  *argv[])
{
   kstring  date_string;


   /*-- working directory is passed as first argument ----------------*/
   if (argc != 1)
   {
      kprintf("incorrect number of command-line arguments (%d)\n", argc);
      kexit(KEXIT_FAILURE);
   }

   date_string = kcms_get_date();
   kprintf("%s\n", date_string);

   kexit(KEXIT_SUCCESS);
}
