eval 'exec perl -S $0 $*'
	if $runnning_under_some_shell;
#========================================================================#
#========================== SETUP VARIABLES =============================#
#========================================================================#

@months = ('January', 'February', 'March', 'April', 'May', 'June',
	   'July', 'August', 'September', 'October', 'November', 'December');

#========================================================================#
#======================= END OF VARIABLES SETUP =========================#
#========================================================================#

#-- run ktest to get the kcms date string ---------
chop($KCMS_DATE = `./ktest`);

#-- get date information using perl ---------------
($sec,$min,$hour,$mday,$month,$year,$wday,$yday,$isdst) = localtime(time());

print "Date string from ktest: \"$KCMS_DATE\"\n";

# DATE FORMAT:        DD     MONTH      YYYY      HH:MM:SS
if ($KCMS_DATE =~ /^(\d\d)\s+(\S+)\s+(\d\d\d\d)\s+(\d\d):(\d\d):(\d\d)$/)
{
   $kcms_day   = $1;
   $kcms_month = $2;
   $kcms_year  = $3;

   if (int($kcms_day) ne int($mday))
   {
      print "Day seems to be wrong: kcms says \"$kcms_day\"; ";
      print "perl says \"$mday\"\n";
      exit 1;
   }

   if ($kcms_month ne $months[$month])
   {
      print "Month seems to be wrong: kcms says \"$kcms_month\"; ";
      print "perl says \"", $months[$month], "\"\n";
      exit 1;
   }

   if (($kcms_year % 100) != $year)
   {
      print "Year seems to be wrong: kcms says \"$kcms_year\"; ";
      print "perl says \"$year\"\n";
      exit 1;
   }

}
else
{
   print STDERR "Incorrect date format\n";
   exit 1;
}

exit 0;
