#include "bootstrap.h"
 
void main(
   int  argc,
   char *argv[])
{
	char    kpath[KLENGTH], filename[KLENGTH];
	char    temp1[10*KLENGTH], temp2[10*KLENGTH], *path;
	int     i, num, len1, len2, fid1, fid2;
	size_t  size;
	ssize_t size1, size2;
	long    position;


	if (argc > 1)
	   path = kfullpath(argv[1], NULL, filename);
	else
	   kexit(KEXIT_FAILURE);

	kremote_file("$KHOROS_TESTHOST", path, kpath);
	if ((fid1 = open(path, O_RDONLY, 0666))  == -1 ||
	    (fid2 = kopen(kpath, KOPEN_RDONLY, 0666)) == -1)
	{
	   kexit(KEXIT_FAILURE);
	}

	len1 = lseek(fid1,  (size_t) 0, SEEK_END);
	len2 = klseek(fid2, (size_t) 0, SEEK_END);
	if (len1 != len2)
	{
	   kexit(KEXIT_FAILURE);
	}

	num = kmin(len1, 100000);
	for (i = 0; i < num; i++)
	{
	   size     = (size_t) (kurng() * (10*KLENGTH-1));
	   position = (long) (kurng() * (len1-1));
	   lseek(fid1, position, SEEK_SET);
	   klseek(fid2, position, SEEK_SET);
	   size1 = read(fid1, temp1, size);
	   size2 = kread(fid2, temp2, size);
	   if (size1 == size2)
	   {
	      if (kmemcmp(temp1, temp2, (size_t) size1) != 0)
		 kexit(KEXIT_FAILURE);
	   }
	   else
	      kexit(KEXIT_FAILURE);
	}
	kprintf("Success!\n");
	kexit(KEXIT_SUCCESS);
}
