typedef int   int_t;     /*-- typedef to c type --*/
typedef int * int_p;     /*-- typedef to pointer to c type --*/
typedef int   int_a[10]; /*-- typedef to array of c type --*/

/*-- simple structure --*/
struct simple {
   int a;
   float b;
};

typedef struct simple  simple_t;      /*-- typedef to structure --*/
typedef struct simple *simple_p;      /*-- typedef pointer to structure --*/
typedef struct simple  simple_a[3];   /*-- typedef array of structures --*/

struct intfarm {
   int            i;
   int_t          it;
   int           *is;
   int_p          ip;
   int            ib[3];
   int_a          ia;
};

typedef struct intfarm * intfarm_p;

struct collection {

   intfarm_p      i1;
   intfarm_p      i2;

   struct simple  s;
   simple_t       st;	
   struct simple *ss;
   simple_p       sp;	
   struct simple  sb[3];
   simple_a       sa;	
};

typedef struct collection collection_t;
