#include "bootstrap.h"
 
int main(
   int  argc,
   char *argv[])
{
	char *alias, path[KLENGTH];

	if (argc == 1)
	{
	   kfprintf(kstderr, "Usage:  ktest alias\n");
	   kexit(KEXIT_FAILURE);
	}
	alias = argv[1];

	if (!kfullpath(alias, NULL, path) || kaccess(path, F_OK) != 0)
	{
	   kfprintf(kstderr, "Failed to expand alias '%s'\n", alias);
	   kexit(KEXIT_FAILURE);
	}
	kprintf("%s  %s\n", alias, path);
	kexit(KEXIT_SUCCESS);
}
