#include "bootstrap.h"

int server(
  char *program,
  int iterations)
{
	int   i;
	kfile *file;
	char  temp[KLENGTH];

	ksprintf(temp, "%s %d client", program, iterations);
	if ((file = kpopen(temp, "z")) == NULL)
	{
	   kerror(NULL, "server", "Unable to start client");
	   return(FALSE);
	}

	for (i = 0; i < /*iterations*/0; i++)
	{
	   if (kfgets(temp, KLENGTH, file) == NULL)
	   {
	      kerror(NULL, "server", "Unable to get client message");
	      return(FALSE);
	   }
	}
	kfputs("exit\n", file);
	return(TRUE);
}

int client(
   int iterations)
{
	int   i;
	char  temp[KLENGTH];


	for (i = 0; i < iterations; i++)
	{
	   ksprintf(temp, "iteration %d\n", i);
	   kfputs(temp, kstdout);
	}
	return(TRUE);
}
 
int main(
  int  argc,
  char *argv[])
{
	int status, iterations = 100;

	if (argc > 2 && kstrcmp(argv[2], "client") == 0)
	{
	   iterations = atoi(argv[1]);
	   status = client(iterations);
	}
	else if (argc > 1)
	{
	   iterations = atoi(argv[1]);
	   status = server(argv[0], iterations);
	}
	kexit(status == FALSE ? KEXIT_FAILURE : KEXIT_SUCCESS);
}
