#include "bootstrap.h"
 
int main(
   int  argc,
   char *argv[])
{
	int  i, num, size, status = 0;
	char *file, *identifier = NULL, **list = NULL;

	if (argc > 1)
	   identifier = argv[1];
	if (argc > 2)
	   size = atoi(argv[2]);

	for (i = num = 0; i < size; i++)
	{
	   file = ktempnam(identifier, "tempnam");
	   if (karray_locate(list, KSTRING, file, num) != -1)
	   {
	      status = -1;
	      kfprintf(kstderr, "The %dth tempfile '%s' is not unique!!\n",
			i, file);
	      break;
	   }
	   else
	      kprintf("%s\n", file);

	   list = karray_add(list, KSTRING, file, num++);
	}
	
	for (i = 0; i < num; i++)
	   kunlink(list[i]);

	kexit(status == 0 ? KEXIT_SUCCESS : KEXIT_FAILURE);
}
