#include <xvinclude.h>

/*
 *  This example tests the info dialog box produced 
 *  by a call to the xvutils utility xvu_info_wait().  
 *
 *  The info dialog box is displayed until you click on
 *  "Ok"; when you do, that is printed to the tty.
 *
 *  This is repeated three times.
 */
void main(
   int  argc,
   char **argv)
{
	int  count = 0;
	char *info_mesg = "This is the exciting information. Get jazzed now.";

        /* initialize Khoros program */
        khoros_initialize(argc, argv, "CANTATA");

	/* initialize the xvwidgets lib */
	if (!xvw_initialize(XVW_MENUS_XVFORMS))
	{
	   kerror(NULL, "main", "Cannot open display");
	   kexit(KEXIT_FAILURE);
	}

	while (count < 3)
	{
 	    if (xvu_info_wait(info_mesg, NULL, NULL))
	        kfprintf(kstderr, "\nYou clicked on 'Ok'\n");
	    count++;
	}

	kexit(KEXIT_SUCCESS);
}
