#include <xvinclude.h>

/*
 *  This example tests the error dialog box produced 
 *  by a call to the xvutils utility xvu_warn_wait().  
 *
 *  The warn dialog box is displayed until you click on
 *  "Ok"; the example prints your selection to the tty.
 *
 *  This is repeated three times.
 */
void main(
   int  argc,
   char **argv)
{
	int  count = 0;
	char *warn_mesg = "This is your last warning. Get off the bus now.";

        /* initialize Khoros program */
        khoros_initialize(argc, argv, "CANTATA");

	/* initialize the xvwidgets lib */
	if (!xvw_initialize(XVW_MENUS_XVFORMS))
	{
	   kerror(NULL, "main", "Cannot open display");
	   kexit(KEXIT_FAILURE);
	}

	while (count < 3)
	{
 	    if (xvu_warn_wait(warn_mesg, NULL, NULL))
	        kfprintf(kstderr, "\nUser clicked on 'Ok'\n");
	    count++;
	}

	kexit(KEXIT_SUCCESS);
}
