/*
  * Khoros: $Id: SeparatorP.h,v 1.1 1996/05/06 22:00:16 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private declarations for the graphical
   >>>>		       separator annotation.
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Apr 14, 1996
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kwidgets_SeparatorP_h_
#define _kwidgets_SeparatorP_h_


    /*-------------------------------------*
    |       #include 
    ---------------------------------------*/

#include <kwidgets/ManagerObjP.h>
#include <kwidgets/Separator.h>


    /*-------------------------------------*
    |       typedefs
    ---------------------------------------*/

typedef struct _XvwSeparatorGadgetClassPart
{
    XtPointer  extension;
} XvwSeparatorGadgetClassPart;

typedef struct _XvwSeparatorGadgetClassRec
{
    RectObjClassPart          rect_class;
    XvwManagerGadgetClassPart manager_class;
    XvwSeparatorGadgetClassPart  separator_class;
} XvwSeparatorGadgetClassRec;


typedef struct
{
    int type;		/* separator type (solid, dashed, none, etc)	    */
    int orientation;	/* separator orientation (horizontal .vs. vertical) */
} XvwSeparatorPart;


typedef struct _XvwSeparatorGadgetRec
{
    ObjectPart	   	object;
    RectObjPart     	rectobj;
    XvwManagerObjPart	manager;
    XvwSeparatorPart  	separator;
} XvwSeparatorGadgetRec;


typedef struct  _XvwSeparatorGadgetClassRec     *XvwSeparatorGadgetClass;
typedef struct  _XvwSeparatorGadgetRec          *XvwSeparatorGadget;


    /*-------------------------------------*
    |       global variable declarations
    ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwSeparatorGadget
 */
extern XvwSeparatorGadgetClassRec xvwSeparatorGadgetClassRec;


#endif /* _kwidgets_SeparatorP_h_ */
/* Don't add after this point */
