/*
  * Khoros: $Id: SashP.h,v 1.2 1996/05/06 22:05:57 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private declarations for the graphical
   >>>>		       separator annotation.
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Apr 14, 1996
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvobjects_SashP_h_
#define _xvobjects_SashP_h_


    /*-------------------------------------*
    |       #include 
    ---------------------------------------*/

#include <kwidgets/SeparatorP.h>
#include <xvobjects/Sash.h>


    /*-------------------------------------*
    |       typedefs
    ---------------------------------------*/

typedef struct _XvwSashGadgetClassPart
{
    XtPointer  extension;
} XvwSashGadgetClassPart;

typedef struct _XvwSashGadgetClassRec
{
    RectObjClassPart            rect_class;
    XvwManagerGadgetClassPart   manager_class;
    XvwSeparatorGadgetClassPart separator_class;
    XvwSashGadgetClassPart      sash_class;
} XvwSashGadgetClassRec;


typedef struct
{
   Pixmap    grip_pixmap; /* the grip pixmap in which to show the sash  */
   xvobject  grip;	  /* the grip object in which to move the sash  */
} XvwSashPart;


typedef struct _XvwSashGadgetRec
{
    ObjectPart	   	object;
    RectObjPart     	rectobj;
    XvwManagerObjPart	manager;
    XvwSeparatorPart  	separator;
    XvwSashPart  	sash;
} XvwSashGadgetRec;


typedef struct  _XvwSashGadgetClassRec     *XvwSashGadgetClass;
typedef struct  _XvwSashGadgetRec          *XvwSashGadget;


    /*-------------------------------------*
    |       global variable declarations
    ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwSashGadget
 */
extern XvwSashGadgetClassRec xvwSashGadgetClassRec;

#endif /* _xvobjects_SashP_h_ */
/* Don't add after this point */
