 /*
  * Khoros: $Id: xvobjects.h,v 1.7 1996/05/06 22:06:10 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: general #includes, #defines, and structures
   >>>>		       for all xvobjects
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Aug 25, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvobjects_xvobjects_h_
#define _xvobjects_xvobjects_h_


	/*-------------------------------------*
	|       #include 
	---------------------------------------*/

/*
 *  Layout Management widgets
 */
#include <xvobjects/Layout.h>
#include <xvobjects/Notebook.h>

#include <xvobjects/RootWindow.h>
#include <xvobjects/GenericWindow.h>
#include <xvobjects/NotifyWindow.h>
#include <xvobjects/ToolTips.h>
#include <xvobjects/TitleBar.h>

#include <xvobjects/TextDisplay.h>
#include <xvobjects/Console.h>
#include <xvobjects/Canvas.h>
#include <xvobjects/Connection.h>
#include <xvobjects/Sash.h>

#include <xvobjects/Error.h>
#include <xvobjects/Warn.h>
#include <xvobjects/Info.h>
#include <xvobjects/Help.h>

#include <xvobjects/Double.h>
#include <xvobjects/Float.h>
#include <xvobjects/Integer.h>
#include <xvobjects/InputFile.h>
#include <xvobjects/OutputFile.h>
#include <xvobjects/TextInput.h>
#include <xvobjects/Browser.h>


	/*-------------------------------------*
	|       #defines 
	---------------------------------------*/

	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/

/* utilities.c */
xvobject xvw_getobject	    PROTO((xvobject, Window, char *));
int xvw_getposition	    PROTO((xvobject, int *, int *));

#endif /* _xvobjects_xvobjects_h_ */
/* Don't add after this point */
