 /*
  * Khoros: $Id: xvrun.h,v 1.11 1996/07/05 01:57:01 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for xvrun
   >>>> 
   >>>>    Written By: Danielle Argiro
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: Jul 04, 1996
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _xvrun_h_
#define _xvrun_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <design.h>
#include <xvinclude.h>

/* -include_includes */
#include "xvforms/xvforms.h"
#include "kcms/kcms.h"
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

#define PANEPATH "$DESIGN/objects/xvroutine/xvrun/uis/xvrun.pane"
        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  program to execute (required string)
 */
char	*oname_string;	/* program to execute STRING */
int	 oname_flag;   	/* program to execute FLAG */

/*
 *  toolbox in which to find program (optional string)
 */
char	*tb_string;	/* toolbox in which to find program STRING */
int	 tb_flag;   	/* toolbox in which to find program FLAG */

/*
 *  command line arguments (optional string)
 */
char	*args_string;	/* command line arguments STRING */
int	 args_flag;   	/* command line arguments FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

void main PROTO((int, char **));
void xvrun_get_args PROTO((kform *));
void xvrun_usage_additions PROTO((void));
void xvrun_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
void xvrun_print_cmd PROTO((kaddr *));
/* -include_routines_end */

#endif
