/*
  * Khoros: $Id: do_pseudo.c,v 1.4 1996/04/05 02:09:28 fas Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: do_pseudo.c,v 1.4 1996/04/05 02:09:28 fas Exp $";
#endif


/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>> 	Functionality routines for pane pseudo
   >>>> 
   >>>>  Private: 
   >>>>           pseudo_palette_type
   >>>>   Static: 
   >>>>   Public: 
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#include "editimage.h"

/*-----------------------------------------------------------
| 
|  Routine Name: pseudo_palette_type
| 
|       Purpose: Do routine which is called when
|                  toggle selection palette_type is used
| 
|         Input: pseudo_info - ptr to PaneInfo struct for pseudo pane
| 
|        Output: None
|    Written By: Mark Young & Danielle Argiro
|          Date: May 31, 1995
| Modifications: 
| 
------------------------------------------------------------*/
/* ARGSUSED */
void pseudo_palette_type(
     Pseudo_pseudo *pseudo_info)
{
	xvw_set_attribute(pseudo, XVW_PSEUDO_PALETTE_TYPE, 
			  pseudo_info->palette_type_val);
}

