/*
  * Khoros: $Id: do_function.c,v 1.4 1996/04/05 02:11:33 fas Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: do_function.c,v 1.4 1996/04/05 02:11:33 fas Exp $";
#endif


/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>> 	Functionality routines for pane function
   >>>> 
   >>>>  Private: 
   >>>> 	function_plot_function
   >>>> 
   >>>>   Static: 
   >>>>   Public: 
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#include "xprism.h"

/*-----------------------------------------------------------
| 
|  Routine Name: function_plot_function
| 
|       Purpose: Do routine which is called when
|                  pane action button plot_function is used
| 
|         Input: function_info - ptr to PaneInfo struct for function pane
| 
|        Output: None
|    Written By: 
|          Date: Jun 28, 1994
| Modifications: 
| 
------------------------------------------------------------*/
/* ARGSUSED */
void function_plot_function(
     Plot_function *function_info)
{
	input_function();
}


/*-----------------------------------------------------------
| 
|  Routine Name: function_plot_dim
| 
|       Purpose: Do routine which is called when
|                  cycle selection plot_dim is used
| 
|         Input: function_info - ptr to PaneInfo struct for function pane
| 
|        Output: None
|    Written By: 
|          Date: Jun 28, 1994
| Modifications: 
| 
------------------------------------------------------------*/
/* ARGSUSED */
void function_plot_dim(
     Plot_function *function_info)
{
	set_function_pane_gui();
}

