
/*********************************************************************

Copyright (C) 1995, Lawrence Berkeley Laboratory.  All Rights
Reserved.  Permission to copy and modify this software and its
documentation (if any) is hereby granted, provided that this notice
is retained thereon and on all copies.  

This software is provided as a professional academic contribution
for joint exchange.   Thus it is experimental and scientific
in nature, undergoing development, and is provided "as is" with
no warranties of any kind whatsoever, no support, promise of
updates or printed documentation.

This work is supported by the U. S. Department of Energy under 
contract number DE-AC03-76SF00098 between the U. S. Department 
of Energy and the University of California.


	Author: Wes Bethel
		Lawrence Berkeley Laboratory
                Berkeley, California 

  "this software is 100% hand-crafted by a human being in the USA"

*********************************************************************/

#ifndef __gthreads_h_
#define __gthreads_h_

#define _REENTRANT

/**
  * the following constant is intended to be used in static
  * array declarations in which arguments are set up for threaded
  * processing, with the hope that the expense of malloc's will
  * be alleviated.
**/
#define MAX_CONCURRENCY 64


int init_gthreads (int);

int spin_threads(void (*func)(),void *args,int args_size_in_bytes);
int join_threads(void);
int get_loc_concurrency(void);


#endif
