 /*
  * Khoros: $Id: usage.c,v 1.7 1996/07/05 02:44:05 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: usage.c,v 1.7 1996/07/05 02:44:05 mirage Exp $";
#endif

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

#include "gflipnorms.h"
/*-----------------------------------------------------------
| 
|  Routine Name: gflipnorms_get_args
| 
|       Purpose: Gets command line args for gflipnorms
| 
|         Input: None
| 
|        Output: None
|    Written By: ghostwriter -oname gflipnorms
|          Date: Jul 04, 1996
| Modifications: 
| 
------------------------------------------------------------*/
void gflipnorms_get_args(
    kform *pane)
{

	static char *sync_error_mesg = "Generated code for gflipnorms is out of sync with arguments specified in gflipnorms's *.pane file; please rerun ghostwriter on gflipnorms.";


	/*
	 * allocate the gflipnorms structure
	 */
	clui_info = (clui_info_struct *) 
	       kcalloc((size_t)1, sizeof (clui_info_struct));

	if (!(kclui_get_infile(pane, "i",
			  &(clui_info->i_file),
			  &(clui_info->i_flag))))
	{
	    kerror(NULL, "gflipnorms_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}

	if (!(kclui_get_outfile(pane, "o",
			  &(clui_info->o_file),
			  &(clui_info->o_flag))))
	{
	    kerror(NULL, "gflipnorms_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}


}



