 /*
  * Khoros: $Id: usage.c,v 1.4 1996/07/05 02:46:07 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: usage.c,v 1.4 1996/07/05 02:46:07 mirage Exp $";
#endif

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

#include "glocstats.h"
/*-----------------------------------------------------------
| 
|  Routine Name: glocstats_get_args
| 
|       Purpose: Gets command line args for glocstats
| 
|         Input: None
| 
|        Output: None
|    Written By: ghostwriter -oname glocstats
|          Date: Jul 04, 1996
| Modifications: 
| 
------------------------------------------------------------*/
void glocstats_get_args(
    kform *pane)
{

	static char *sync_error_mesg = "Generated code for glocstats is out of sync with arguments specified in glocstats's *.pane file; please rerun ghostwriter on glocstats.";


	/*
	 * allocate the glocstats structure
	 */
	clui_info = (clui_info_struct *) 
	       kcalloc((size_t)1, sizeof (clui_info_struct));

	if (!(kclui_get_infile(pane, "i",
			  &(clui_info->i_file),
			  &(clui_info->i_flag))))
	{
	    kerror(NULL, "glocstats_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}

	if (!(kclui_get_logical(pane, "minmax",
			  &(clui_info->minmax_logic),
			  &(clui_info->minmax_flag))))
	{
	    kerror(NULL, "glocstats_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}


}



