/* Khoros: $Id: verror.h,v 1.4 1996/04/05 00:46:58 fas Exp $ */

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */
/* See $TOOLS/repos/copyright/Copyright for terms and conditions. */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Definitions and prototypes for library verror
   >>>>
   >>>>       Toolbox: $TOOLBOX
   >>>>
   >>>>    Written By: Your name goes here!
   >>>>
   >>>>          Date: 
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _verror_verror_h_
#define _verror_verror_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/


	/*-------------------------------------*
	|       #defines
	---------------------------------------*/


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/


    /* mat_map_en.c */
int match_map_enable PROTO((char *, xvimage *, xvimage *, int));
 
    /* mat_map_sc.c */
int match_map_scheme PROTO((char *, xvimage *, xvimage *, int));
 
    /* mat_map_si.c */
int match_map_size PROTO((char *, xvimage *, xvimage *, int));
 
    /* mat_map_ty.c */
int match_map_type PROTO((char *, xvimage *, xvimage *, int));
 
    /* match_colr.c */
int match_color_model PROTO((char *, xvimage *, xvimage *, int));
 
    /* match_dim.c */
int match_dim PROTO((char *, xvimage *, xvimage *, int));
 
    /* match_enc.c */
int match_encode_scheme PROTO((char *, xvimage *, xvimage *, int));
 
    /* match_loc.c */
int match_loc_type PROTO((char *, xvimage *, xvimage *, int));
 
    /* match_numb.c */
int match_num_bands PROTO((char *, xvimage *, xvimage *, int));
 
    /* match_numi.c */
int match_num_images PROTO((char *, xvimage *, xvimage *, int));
 
    /* matchsize.c */
int matchsize PROTO((char *, xvimage *, xvimage *, int));
 
    /* matchtype.c */
int matchtype PROTO((char *, xvimage *, xvimage *, int));
 
    /* pro_map_co.c */
int proper_map_rowsize PROTO((char *, xvimage *, unsigned long, int));
 
    /* pro_map_en.c */
int proper_map_enable PROTO((char *, xvimage *, unsigned long, int));
 
    /* pro_map_sc.c */
int proper_map_scheme PROTO((char *, xvimage *, unsigned long, int));
 
    /* pro_map_si.c */
int proper_map_size PROTO((char *, xvimage *, unsigned long, unsigned long , int));
 
    /* pro_map_ty.c */
int proper_map_type PROTO((char *, xvimage *, unsigned long, int));
 
    /* prope_colr.c */
int proper_color_model PROTO((char *, xvimage *, unsigned long, int));
 
    /* prope_numb.c */
int proper_num_bands PROTO((char *, xvimage *, unsigned long, int));
 
    /* prope_numi.c */
int proper_num_images PROTO((char *, xvimage *, unsigned long, int));
 
    /* proper_dim.c */
int proper_dim PROTO((char *, xvimage *, unsigned long, int));
 
    /* proper_enc.c */
int proper_encode_scheme PROTO((char *, xvimage *, unsigned long, int));
 
    /* proper_loc.c */
int proper_loc_type PROTO((char *, xvimage *, unsigned long, int));
 
    /* propersize.c */
int propersize PROTO((char *, xvimage *, unsigned long, unsigned long , int));
 
    /* propertype.c */
int propertype PROTO((char *, xvimage *, unsigned long, int));

	/* Ghostwriter Prototypes:  Do Not Erase This Comment */

#endif /* _verror_verror_h_ */
/* Don't add after this point */
