 /*
  * Khoros: $Id: usage.c,v 1.11 1996/07/05 03:24:56 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: usage.c,v 1.11 1996/07/05 03:24:56 mirage Exp $";
#endif

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

#include "vsurf.h"
/*-----------------------------------------------------------
| 
|  Routine Name: vsurf_get_args
| 
|       Purpose: Gets command line args for vsurf
| 
|         Input: None
| 
|        Output: None
|    Written By: ghostwriter -oname vsurf
|          Date: Jul 04, 1996
| Modifications: 
| 
------------------------------------------------------------*/
void vsurf_get_args(
    kform *pane)
{

	static char *sync_error_mesg = "Generated code for vsurf is out of sync with arguments specified in vsurf's *.pane file; please rerun ghostwriter on vsurf.";


	/*
	 * allocate the vsurf structure
	 */
	clui_info = (clui_info_struct *) 
	       kcalloc((size_t)1, sizeof (clui_info_struct));

	if (!(kclui_get_infile(pane, "i",
			  &(clui_info->i_file),
			  &(clui_info->i_flag))))
	{
	    kerror(NULL, "vsurf_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}

	if (!(kclui_get_outfile(pane, "norm",
			  &(clui_info->norm_file),
			  &(clui_info->norm_flag))))
	{
	    kerror(NULL, "vsurf_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}

	if (!(kclui_get_outfile(pane, "ang",
			  &(clui_info->ang_file),
			  &(clui_info->ang_flag))))
	{
	    kerror(NULL, "vsurf_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}


}



