 /*
  * Khoros: $Id: usage.c,v 1.11 1996/07/05 03:34:36 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: usage.c,v 1.11 1996/07/05 03:34:36 mirage Exp $";
#endif

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

#include "kdiffobj.h"
/*-----------------------------------------------------------
| 
|  Routine Name: kdiffobj_get_args
| 
|       Purpose: Gets command line args for kdiffobj
| 
|         Input: None
| 
|        Output: None
|    Written By: ghostwriter -oname kdiffobj
|          Date: Jul 04, 1996
| Modifications: 
| 
------------------------------------------------------------*/
void kdiffobj_get_args(
    kform *pane)
{

	static char *sync_error_mesg = "Generated code for kdiffobj is out of sync with arguments specified in kdiffobj's *.pane file; please rerun ghostwriter on kdiffobj.";


	/*
	 * allocate the kdiffobj structure
	 */
	clui_info = (clui_info_struct *) 
	       kcalloc((size_t)1, sizeof (clui_info_struct));

	if (!(kclui_get_string(pane, "oname",
			  &(clui_info->oname_string),
			  &(clui_info->oname_flag))))
	{
	    kerror(NULL, "kdiffobj_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}

	if (!(kclui_get_string(pane, "tb1",
			  &(clui_info->tb1_string),
			  &(clui_info->tb1_flag))))
	{
	    kerror(NULL, "kdiffobj_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}

	if (!(kclui_get_string(pane, "tb2",
			  &(clui_info->tb2_string),
			  &(clui_info->tb2_flag))))
	{
	    kerror(NULL, "kdiffobj_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}


}



