eval 'exec perl -S $0 $*'
	if $runnning_under_some_shell;
#========================================================================#
#========================== BOILER PLATE CODE ===========================#
#========================================================================#

TBLOOP: foreach $tbfile (split(/:/, $ENV{'KHOROS_TOOLBOX'})) {
   open(TBFILE, "< $tbfile") || die "Can't read toolbox file $tbfile: $!\n";
   while (<TBFILE>) {
      push(@INC, "$1/repos/perl") if /^BOOTSTRAP:([^;:\n]+)/;
   }
   close TBFILE;
}

require 'tools-test.pl';

#========================================================================#
#======================= END OF BOILER PLATE CODE =======================#
#========================================================================#

$WORKDIR = &ktest_initialize('16.kcms-06');

$status = 0;

#-- source toolbox --------------------------------------------------
$sourceTB = &ktest_new_tbname();
print STDERR "Source Toolbox Name: $sourceTB\n";
system("kgentb -tb $sourceTB -path $WORKDIR/$sourceTB");
$status = 1 if $? != 0;

if ($status == 0)
{
   #-- create a KROUTINE object in the source toolbox ------------------
   $sourceObject = 'testxv';
   system("kgenobj -tb $sourceTB -type xvroutine -form -oname $sourceObject");
   $status = 1 if $? != 0;
}

#-- destination toolbox ---------------------------------------------
if ($status == 0)
{
   $destTB = &ktest_new_tbname();
   print STDERR "Destination Toolbox Name: $destTB\n";
   system("kgentb -tb $destTB -path $WORKDIR/$destTB");
   $status = 1 if $? != 0;
}

if ($status == 0)
{
   system("./ktest 6 $sourceTB $sourceObject $destTB");
   $status = 1 if $? != 0;
}


&ktest_end($WORKDIR);

exit $status;
