#include "bootstrap.h"
 
int main(
   int  argc,
   char *argv[])
{
	FILE  *file1;
	kfile *file2;
	char  buf[KLENGTH], filename[KLENGTH];
	char  temp1[KLENGTH], temp2[KLENGTH], *path, *status1, *status2;


	if (argc > 1)
	   path = kfullpath(argv[1], NULL, filename);
	else
	   kexit(KEXIT_FAILURE);

	if ((file1 = fopen(path, "r"))  == NULL ||
	    (file2 = kfopen(path, "r")) == NULL)
	{
	   kexit(KEXIT_FAILURE);
	}
	setvbuf(file1, buf, _IOFBF, (size_t) KLENGTH);

	do
	{
	   status1 = fgets(temp1, KLENGTH, file1);
	   status2 = kfgets(temp2, KLENGTH, file2);
	   if (status1 != NULL && status2 != NULL)
	   {
	      if (kstrcmp(temp1, temp2) != 0)
		 kexit(KEXIT_FAILURE);
	   }

	} while (status1 != NULL && status2 != NULL);

	if (status1 != NULL || status2 != NULL)
	   kexit(KEXIT_FAILURE);

	fclose(file1); kfclose(file2);
	kprintf("Success!\n");
	kexit(KEXIT_SUCCESS);
}
