#include "bootstrap.h"
 
int main(
   int  argc,
   char *argv[])
{
	FILE  *file1;
	kfile *file2;
	size_t i, len1, len2, size1, size2;
	long   position;
	char   buf[KLENGTH], filename[KLENGTH];
	char   temp1[KLENGTH], temp2[KLENGTH], *path;


	if (argc > 1)
	   path = kfullpath(argv[1], NULL, filename);
	else
	   kexit(KEXIT_FAILURE);

	if ((file1 = fopen(path, "r"))  == NULL ||
	    (file2 = kfopen(path, "r")) == NULL)
	{
	   kexit(KEXIT_FAILURE);
	}
	setvbuf(file1, buf, _IOFBF, (size_t) KLENGTH);

	(void) fseek(file1,  (long) 0, SEEK_END); len1 = ftell(file1);
	(void) kfseek(file2, (long) 0, SEEK_END); len2 = kftell(file2);
	if (len1 != len2)
	{
	   kexit(KEXIT_FAILURE);
	}

	for (i = 0; i < len1; i++)
	{
	   position = (long) (kurng() * (len1-1));
	   fseek(file1, position, SEEK_SET);
	   kfseek(file2, position, SEEK_SET);
	   size1 = fread(temp1, (size_t) 1, (size_t) KLENGTH, file1);
	   size2 = kfread(temp2, (size_t) 1, (size_t) KLENGTH, file2);
	   if (size1 == size2)
	   {
	      if (kmemcmp(temp1, temp2, size1) != 0)
		 kexit(KEXIT_FAILURE);
	   }
	   else
	      kexit(KEXIT_FAILURE);
	}
	fclose(file1); kfclose(file2);
	kprintf("Success!\n");
	kexit(KEXIT_SUCCESS);
}
