#include "bootstrap.h"
 
int main(
   int  argc,
   char *argv[])
{
	kfile *file1, *file2;
	char  temp1[KLENGTH], temp2[KLENGTH], *path, *status1, *status2;


	if (argc > 1)
	   path = argv[1];
	else
	{
	   kexit(KEXIT_FAILURE);
	}

	if ((file1 = kfopen(path, "r")) == NULL)
	{
	   kexit(KEXIT_FAILURE);
	}

	ksprintf(temp1, "cat %s", path);
	if ((file2 = kpopen(temp1, "r")) == NULL)
	{
	   kexit(KEXIT_FAILURE);
	}

	do
	{
	   status1 = kfgets(temp1, KLENGTH, file1);
	   status2 = kfgets(temp2, KLENGTH, file2);
	   if (status1 != NULL && status2 != NULL)
	   {
	      if (kstrcmp(temp1, temp2) != 0)
		 kexit(KEXIT_FAILURE);
	   }

	} while (status1 != NULL && status2 != NULL);

	if (status1 != NULL || status2 != NULL)
	   kexit(KEXIT_FAILURE);

	kfclose(file1); kpclose(file2);
	kprintf("Success!\n");
	kexit(KEXIT_SUCCESS);
}
