#include "bootstrap.h"
 
int main(
   int  argc,
   char *argv[])
{
	int   i;
	char  *command;
	kfile *file, *tmp;

	if (argc > 1)
	   command = argv[1];
	else
           kexit(KEXIT_FAILURE);

khoros_initialize(argc, argv, "BOOTSTRAP");
        if ((file = kpopen(command, "r")) == NULL)
           kexit(KEXIT_FAILURE);

	for (i = 0; i < 5; i++)
	{
           if ((tmp = kpopen(command, "r")) == NULL)
              kexit(KEXIT_FAILURE);

	   if (kfile_comparedata(kfileno(file),kfileno(tmp),(size_t)0,NULL)!=0)
	   {
	      kfprintf(kstderr, "Comparing output of command '%s' incorrect\n",
			   command);
	      kexit(KEXIT_FAILURE);
	   }
	   kpclose(tmp);
	   krewind(file);
	}
	kprintf("Success!\n");
	kpclose(file);
	kexit(KEXIT_SUCCESS);
}
