#include <bootstrap.h>
#include <kutils/kfileP.h>
 
int main(
   int  argc,
   char *argv[])
{
	FILE  *file1;
	kfile *file2;
	char   buf[KLENGTH], *path, *data;
	size_t i, num;
	long   position;
	int    character1, character2;


	if (argc > 1)
	   path = argv[1];
	else
	   kexit(KEXIT_FAILURE);

	if ((file1 = tmpfile())  == NULL ||
	    (file2 = ktmpfile()) == NULL)
	{
	   kexit(KEXIT_FAILURE);
	}
	setvbuf(file1, buf, _IOFBF, (size_t) 30);

	data = kreadfile(path, &num);
	(void) fputs(data, file1);
	(void) kfputs(data, file2);
	for (i = 0; i < num; i++)
	{
	   position = (long) (kurng() * (num-1));
	   fseek(file1, position, SEEK_SET);
	   kfseek(file2, position, SEEK_SET);
	   character1 = fgetc(file1);
	   character2 = kfgetc(file2);
	   if (character1 != character2)
	      kexit(KEXIT_FAILURE);

	   fseek(file1, (long) 0, SEEK_CUR);
	   fputc(character1, file1);
	   kfputc(character1, file2);
	}
	fclose(file1); kfclose(file2);

	kprintf("Success!\n");
	kexit(KEXIT_SUCCESS);
}
