/*
 * Khoros: $Id: internals.h,v 1.8 1996/05/20 01:03:05 mirage Exp $
 */
 
 
/*
 * Copyright (C) 1993, 1994, 1995, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose:	Internal Strucutre Services Declarations
   >>>>
   >>>>       Toolbox:  KUBOX
   >>>>
   >>>>    Written By: Steve Kubica
   >>>>
   >>>>          Date: August 11, 1995
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _kdataccess_internals_h_
#define _kdataccess_internals_h_


	/*-------------------------------------*
	|	#includes
	\--------------------------------------*/

#include <dataserv.h>

	/*-------------------------------------*
	|	#defines
	\--------------------------------------*/

	/*-------------------------------------*
	|	typedefs
	\--------------------------------------*/

	/*-------------------------------------*
	|	global variable declarations
	\--------------------------------------*/

	/*-------------------------------------*
	|	macros
	\--------------------------------------*/

	/*-------------------------------------*
	|	routine definitions
	\--------------------------------------*/


/*-- seg.c --*/
void  kdas_segment_move_memory_to_temp PROTO((kdas_segment *));
void  kdas_segment_move_temp_to_memory PROTO((kdas_segment *));

/*-- pipeline.c --*/
kaddr kdas_pipeline_data      PROTO((kdas_presentation *, int, int, int, 
				     int *, int, kaddr));
kaddr kdas_transpose_data      PROTO((kaddr, int, int, int *, int *,
				     int *, int *, kaddr));
/*-- utilities.c --*/
void  kdas_compute_offsets    PROTO((int, int, int, int, int *, int *, int *, 
				     int *, int *, int *));
void  kdas_compute_strides    PROTO((int, int, int, int, int *, int *, 
				     int *, int *));
void  kdas_compute_skips      PROTO((int, int *, int *, int *, int *, 
				     int *, int *));
void  kdas_collapse_space     PROTO((int *, int *, int *, int *, 
				     int *, int *));
int   kdas_clip_corners       PROTO((int, int *, int *, int *, int *, int *, 
				     int *, int *, int *, int *));
int   kdas_get_order          PROTO((int *, int *, int, int, int));
void  kdas_reorder_array      PROTO((int *, int, int *, int *, int));
void  kdas_bit_resample       PROTO((kubyte *, int, int, int, double, 
				     kubyte *));

/*-- wrap.c --*/
int **kdas_construct_partitions PROTO((int, int *, int *, int *, int **));
void  kdas_partition_dimension  PROTO((int **, int *, int, int, int, 
				       int, int));

void  kdas_wrap_data PROTO((kaddr, int, int *, int *, int *,
			    void (*) PROTO((kaddr, int *, int *, int *, int *,
					    int *, int *, int *, kaddr)),
			    kaddr));


#endif /* _kdataccess_internals_h_ */
/* Don't add after this point */
