#include <xvinclude.h>

/*
 *  This example tests the error dialog box produced 
 *  by a call to the xvutils utility xvu_error_wait().  
 *
 *  The error dialog box is popped up, and will be displayed
 *  until you click on "Ok";  when you do, a line indicating
 *  that you did click on "Ok" is printed to the tty.
 *
 *  This is repeated 3 times.
 */
void main(
   int  argc,
   char **argv)
{
	int  count = 0;
	char *error_mesg = "This is the error message. You messed up.";

        /* initialize Khoros program */
        khoros_initialize(argc, argv, "CANTATA");

	/* initialize the xvwidgets lib */
	if (!xvw_initialize(XVW_MENUS_XVFORMS))
	{
	   kerror(NULL, "main", "Cannot open display");
	   kexit(KEXIT_FAILURE);
	}

	while (count < 3)
	{
 	    if (xvu_error_wait(error_mesg, NULL, NULL))
	        kfprintf(kstderr, "\nYou clicked on 'Ok'\n");
	
	    count++;
	}

	kexit(KEXIT_SUCCESS);
}
