/*
  * Khoros: $Id: LabelP.h,v 1.1 1996/05/06 21:59:55 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private declarations for the graphical
   >>>>		       label annotation.
   >>>>
   >>>>     Written By: Mark Young
   >>>>
   >>>>          Date: Mar 2, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kwidgets_LabelP_h_
#define _kwidgets_LabelP_h_


    /*-------------------------------------*
    |       #include 
    ---------------------------------------*/

#include <kwidgets/ManagerObjP.h>
#include <kwidgets/Label.h>


    /*-------------------------------------*
    |       typedefs
    ---------------------------------------*/

typedef struct _XvwLabelGadgetClassPart
{
    XtPointer  extension;
} XvwLabelGadgetClassPart;

typedef struct _XvwLabelGadgetClassRec
{
    RectObjClassPart          rect_class;
    XvwManagerGadgetClassPart manager_class;
    XvwLabelGadgetClassPart  label_class;
} XvwLabelGadgetClassRec;


typedef struct
{
   int		  justify;
   Boolean	  emphasize;
   String	  string;
   Pixel          pixel;
   String         *lines;
   int            numlines;
   int            string_ascent;
   int            string_descent;
   Dimension      string_width; 
   Dimension      string_height;
} XvwLabelPart;


typedef struct _XvwLabelGadgetRec
{
    ObjectPart	   	object;
    RectObjPart     	rectobj;
    XvwManagerObjPart	manager;
    XvwLabelPart  	label;
} XvwLabelGadgetRec;


typedef struct  _XvwLabelGadgetClassRec     *XvwLabelGadgetClass;
typedef struct  _XvwLabelGadgetRec          *XvwLabelGadget;


    /*-------------------------------------*
    |       global variable declarations
    ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwLabelGadget
 */
extern XvwLabelGadgetClassRec xvwLabelGadgetClassRec;


#endif /* _kwidgets_LabelP_h_ */
/* Don't add after this point */
