/*
  * Khoros: $Id: ManagerPref.h,v 1.1 1996/05/06 22:00:04 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Definitions of Attributes
   >>>>                controlling preferred width & height
   >>>>
   >>>>     Written By: Mark Young & Danielle Argiro & John Salas
   >>>>
   >>>>          Date: Aug 25, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kwidgets_ManagerPref_h
#define _kwidgets_ManagerPref_h

        /*-------------------------------------*
        |       #defines
        ---------------------------------------*/

/*------------------------------------------------------------------------
| Attribute:    XVW_PREFERRED_WIDTH
| Description:	The preferred width of the manager object.
| Type:		int
| Default:	undefined
| Legal Values: value > 0
| Resource:     preferredWidth
------------------------------------------------------------------------*/
#define XVW_PREFERRED_WIDTH             "preferredWidth"

/*------------------------------------------------------------------------
| Attribute:    XVW_PREFERRED_HEIGHT
| Description:	The preferred height of the manager object.
| Type:		int
| Default:	undefined  
| Legal Values: value > 0
| Resource:     preferredHeight
------------------------------------------------------------------------*/
#define XVW_PREFERRED_HEIGHT            "preferredHeight"

#endif /* _kwidgets_ManagerPref_h_ */
/* Do not add after this line */
