 /*
  * Khoros: $Id: Menu.h,v 1.1 1996/05/06 22:00:07 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Definitions for Khoros Menu Object
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Apr 23, 1996
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kwidgets_Menu_h_
#define _kwidgets_Menu_h_

        /*-------------------------------------*
        |       #defines
        ---------------------------------------*/


/*------------------------------------------------------------------------
| Attribute:    XVW_MENU_TEAR_OFF
|
| Description:  If desired, this allows the user to create a tear-away,
|		where the menu will appear to allow the user to tear
|		off/away the menu into it's toplevel window.
|
| Type:         int
| Default:      FALSE
| Legal Values: TRUE/FALSE
| Resource:	menuTearOff
------------------------------------------------------------------------*/
#define XVW_MENU_TEAR_OFF   "menuTearOff"

/*
 *  Define the Class name, by which people should be externally referencing
 *  the Menu Object by.
 */
#define MenuWidgetClass	xvwMenuWidgetClass

        /*-------------------------------------*
        |       typedefs
        ---------------------------------------*/

        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/

/*
 *  XToolkit WidgetClass Declaration MenuWidgetClass
 */
extern   WidgetClass     MenuWidgetClass;


        /*-------------------------------------*
        |       routine definitions
        ---------------------------------------*/

/*
 *  Khoros Function Definition for Menu Object
 */
xvobject xvw_create_menu PROTO((xvobject, char *));

#endif /* _kwidgets_Menu_h_ */
/* Do not add after this line */
