/*
  * Khoros: $Id: MenuButtonP.h,v 1.2 1996/06/23 22:40:12 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private declarations for the graphical
   >>>>		       label annotation.
   >>>>
   >>>>     Written By: Mark Young
   >>>>
   >>>>          Date: Apr 23, 1996
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kwidgets_MenuButtonP_h_
#define _kwidgets_MenuButtonP_h_


    /*-------------------------------------*
    |       #include 
    ---------------------------------------*/

#include <kwidgets/ButtonP.h>
#include <kwidgets/MenuButton.h>


    /*-------------------------------------*
    |       typedefs
    ---------------------------------------*/

typedef struct _XvwMenuButtonWidgetClassPart
{
    XtPointer  extension;
} XvwMenuButtonWidgetClassPart;

typedef struct _XvwMenuButtonWidgetClassRec
{
    CoreClassPart		 core_class;
    CompositeClassPart		 composite_class;
    ConstraintClassPart		 constraint_class;
    XvwManagerWidgetClassPart	 manager_class;
    XvwButtonWidgetClassPart     button_class;
    XvwMenuButtonWidgetClassPart menubutton_class;
} XvwMenuButtonWidgetClassRec;


typedef struct
{
   xvobject  menu;
   xvobject  popup;
   XtIntervalId id;		/* delay menu popup */
} XvwMenuButtonPart;


typedef struct _XvwMenuButtonWidgetRec
{
    CorePart		core;
    CompositePart	composite;
    ConstraintPart	constraint;
    XvwManagerPart	manager;
    XvwButtonPart  	button;
    XvwMenuButtonPart  	menubutton;
} XvwMenuButtonWidgetRec;


typedef struct  _XvwMenuButtonWidgetClassRec     *XvwMenuButtonWidgetClass;
typedef struct  _XvwMenuButtonWidgetRec          *XvwMenuButtonWidget;


typedef struct {int empty;} XvwMenuButtonConstraintsPart;

typedef struct _XvwMenuButtonWidgetConstraintsRec {
    XvwManagerConstraintsPart	  manager;
    XvwButtonConstraintsPart	  button;
    XvwMenuButtonConstraintsPart  menubutton;
} XvwMenuButtonWidgetConstraintsRec, *XvwMenuButtonWidgetConstraints;

    /*-------------------------------------*
    |       global variable declarations
    ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwMenuButtonWidget
 */
extern XvwMenuButtonWidgetClassRec xvwMenuButtonWidgetClassRec;


#endif /* _kwidgets_MenuButtonP_h_ */
/* Don't add after this point */
