 /* Khoros: $Id: internals.h,v 1.6 1996/06/08 23:55:27 mirage Exp $ */

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private include file for Athena Widget Set
   >>>>
   >>>>    Written By: Danielle Argiro
   >>>>
   >>>>          Date: Jul 14, 1992
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _athena_internals_h_
#define _athena_internals_h_



	/*-------------------------------------*
	|       #include 
	---------------------------------------*/

#include <design.h>
#ifdef KATHENA_DEF
#include <xvinclude.h>
#include <xvwidgets/xvwidgetsP.h>

#include <X11/Xaw/AsciiText.h>
#include <X11/Xaw/List.h>
#include "Xfwf/Scrollbar.h"
#include "Xfwf/MultiList.h"
#include "Xfwf/ScrList.h"


	/*-------------------------------------*
	|       #defines 
	---------------------------------------*/

	/*-------------------------------------*
	|       #macros 
	---------------------------------------*/

	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/

	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/

	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/

/* utilities.c */
int xvw_get_misc             PROTO((xvobject, char *, kaddr));
int xvw_set_misc             PROTO((xvobject, char *, kaddr));
int xvw_get_textmulti        PROTO((xvobject, char *, kaddr));
int xvw_set_textmulti        PROTO((xvobject, char *, kaddr));
int xvw_get_scrollbar        PROTO((xvobject, char *, kaddr));
int xvw_set_scrollbar        PROTO((xvobject, char *, kaddr));
int xvw_get_list_num         PROTO((xvobject, char *, kaddr));
int xvw_set_list_num         PROTO((xvobject, char *, kaddr));
int xvw_get_list_highlight   PROTO((xvobject, char *, kaddr));
int xvw_set_list_highlight   PROTO((xvobject, char *, kaddr));
int xvw_set_list_unhighlight PROTO((xvobject, char *, kaddr));

void xvw_update_scroll_value PROTO((xvobject, char *, kaddr, double *));
void xvw_update_list_struct  PROTO((xvobject, char *, kaddr, int *,
				    xvw_list_struct *));

/* ListUtils.c */
void XfwfDrawString   PROTO((Display *, Drawable, GC, int, int, 
		  	     String, int, int *));
int  XfwfTextWidth    PROTO((XFontStruct *, String, int, int *));
int *XfwfTablist2Tabs PROTO((char *));

#else

/*
 * A kludge so that initialize.c compiles.
 */
typedef struct _XDisplay Display;

#endif /* KATHENA_DEF   */
#endif /* _Athena_internals_h_ */
/* Don't add after this point */
