 /*
  * Khoros: $Id: do_finder.c,v 1.7 1996/04/24 00:22:36 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: do_finder.c,v 1.7 1996/04/24 00:22:36 mirage Exp $";
#endif


/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>> 	Functionality routines for pane finder
   >>>> 
   >>>>  Private: 
   >>>> 	finder_expr
   >>>> 
   >>>>   Static: 
   >>>>   Public: 
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#include "cantata.h"

/*-----------------------------------------------------------
| 
|  Routine Name: finder_expr
| 
|       Purpose: Do routine which is called when
|                  string selection expr is used
| 
|         Input: finder_info - ptr to PaneInfo struct for finder pane
| 
|        Output: None
|    Written By: 
|          Date: Apr 17, 1996
| Modifications: 
| 
------------------------------------------------------------*/
/* ARGSUSED */
void finder_expr(
     find_finder *finder_info)
{
  	xvw_set_attribute(finder, XVW_FINDERLIST_EXPRESSION, finder_info->expr);
}


