/*
  * Khoros: $Id: globals.c,v 1.4 1996/04/04 23:38:28 fas Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: globals.c,v 1.4 1996/04/04 23:38:28 fas Exp $";
#endif


/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>> 	Global variables for guise
   >>>> 
   >>>>  Private: 
   >>>>   Static: 
   >>>>   Public: 
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#include "guise.h"

/*
 *  TRUE if visual editor is up
 */
int editor_up;

/*
 *  TRUE if we are forcing output
 */
int force_output;

/*
 * process id of visual editor
 */
int editor_pid;

/*
 * TRUE if they need to save changes
 */
int save_needed;

/*
 *  name of UIS file being output
 */
char *output_filename;

/*
 *  form tree associated w/ form currently being displayed
 */
kform *display_form;

/*
 * save control_dest in case it needs to be restored
 */
int save_control_dest;

/*
 * toolbox object and program object associated w/ the
 * UIS file being displayed (if any)
 */
kobject display_toolbox; 
kobject display_program;
