 /*
  * Khoros: $Id: usage.c,v 1.11 1996/07/05 03:20:34 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: usage.c,v 1.11 1996/07/05 03:20:34 mirage Exp $";
#endif

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

#include "vdetilt.h"
/*-----------------------------------------------------------
| 
|  Routine Name: vdetilt_get_args
| 
|       Purpose: Gets command line args for vdetilt
| 
|         Input: None
| 
|        Output: None
|    Written By: ghostwriter -oname vdetilt
|          Date: Jul 04, 1996
| Modifications: 
| 
------------------------------------------------------------*/
void vdetilt_get_args(
    kform *pane)
{

	static char *sync_error_mesg = "Generated code for vdetilt is out of sync with arguments specified in vdetilt's *.pane file; please rerun ghostwriter on vdetilt.";


	/*
	 * allocate the vdetilt structure
	 */
	clui_info = (clui_info_struct *) 
	       kcalloc((size_t)1, sizeof (clui_info_struct));

	if (!(kclui_get_infile(pane, "i",
			  &(clui_info->i_file),
			  &(clui_info->i_flag))))
	{
	    kerror(NULL, "vdetilt_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}

	if (!(kclui_get_infile(pane, "m",
			  &(clui_info->m_file),
			  &(clui_info->m_flag))))
	{
	    kerror(NULL, "vdetilt_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}

	if (!(kclui_get_logical(pane, "p",
			  &(clui_info->p_logic),
			  &(clui_info->p_flag))))
	{
	    kerror(NULL, "vdetilt_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}

	if (!(kclui_get_outfile(pane, "o",
			  &(clui_info->o_file),
			  &(clui_info->o_flag))))
	{
	    kerror(NULL, "vdetilt_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}


}



